<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>OK</h1>
    <script>
        const product = {
            name: "Notebook",
            price: 1200,
            category: "Computadores"
        }

        const id = 1
        fetch(`http://localhost:9090/products/${id}`, {
            method: "PUT", body: JSON.stringify(product),
            headers: {
                'Content-Type': 'application/json'
            },
        })
            .then((response) => response.json())
            .then((data) => console.log(data))


        fetch(`http://localhost:9090/products/${id}`, {
            method: "DELETE",
            headers: {
                'Content-Type': 'application/json'
            },
        })
            .then((response) => response.json())
            .then((data) => console.log(data))


        fetch("http://localhost:9090/products", {
            method: "POST", body: JSON.stringify(product),
            headers: {
                'Content-Type': 'application/json'
            },
        })
            .then((response) => response.json())
            .then((data) => console.log(data))




        fetch("http://localhost:9090/products", { method: "GET" })
            .then((response) => response.json())
            .then((data) => console.log(data))
    </script>
</body>

</html>